com.amazonaws.codegen.model.config.customization

## Class OperationModifier

- java.lang.Object
- - com.amazonaws.codegen.model.config.customization.OperationModifier

    public class OperationModifier
    extends Object

Use operationModifiers customization to exclude a given operation, or add a wrapper around the result shape.

### Constructor Summary

Constructors
Constructor and Description
`OperationModifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getWrappedResultMember()`
`String` `getWrappedResultShape()`
`boolean` `isExclude()`
`boolean` `isUseWrappingResult()`
`void` `setExclude(boolean exclude)`
`void` `setUseWrappingResult(boolean useWrappingResult)`
`void` `setWrappedResultMember(String wrappedResultMember)`
`void` `setWrappedResultShape(String wrappedResultShape)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OperationModifier

    public OperationModifier()

### Method Detail

#### isExclude

    public boolean isExclude()

Returns:
  true if this operation should be excluded when processing the service model.

#### setExclude

    public void setExclude(boolean exclude)

#### isUseWrappingResult

    public boolean isUseWrappingResult()

Returns:
  true if the output shape of this operation is a thin wrapper around the real logical result (e.g., EC2 Reservation wrapped by RunInstancesResult), and that we want to directly return the unwrapped result in the generated client.

#### setUseWrappingResult

    public void setUseWrappingResult(boolean useWrappingResult)

#### getWrappedResultShape

    public String getWrappedResultShape()

Returns:
  the shape of the member that represents the wrapped result.
See Also:
  `#isUseWrappingResult()}`

#### setWrappedResultShape

    public void setWrappedResultShape(String wrappedResultShape)

#### getWrappedResultMember

    public String getWrappedResultMember()

Returns:
  the name of the member that represents the wrapped result.
See Also:
  `#isUseWrappingResult()}`

#### setWrappedResultMember

    public void setWrappedResultMember(String wrappedResultMember)